#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

const vector<ll> digits = {2, 3, 5, 7};

ll calcUpper(const vector<ll> &a) {
    ll n = static_cast<ll>(a.size());

    ll len = n;
    for (ll i = 0; i < n; i++) {
        if (a[i] != 1) {
            len = i;
            break;
        }
    }
    if (len == n || a[len] == 0) {
        return 4 * n;
    }
    ll ans = 4 * len;
    for (auto &i: digits) {
        if (i > a[len]) {
            ans++;
        } else if (i == a[len]) {
            vector<ll> x(n, 1);
            x[len] = i;
            if (x >= a) {
                ans++;
            }
        }
    }
    return ans;
}

ll calcLower(const vector<ll> &a) {
    ll n = static_cast<ll>(a.size());

    vector<ll> nxt(n + 1, -1);
    for (ll i = n - 1; i >= 0; i--) {
        if (a[i] == 1) {
            nxt[i] = i;
        } else {
            nxt[i] = nxt[i + 1];
        }
    }
    ll ans = 0;
    bool q = false;
    for (ll i = 0; i < n; i++) {
        if (a[i] == 0) {
            q = true;
        }
        if (q) {
            ans += 4;
        } else {
            for (auto j: digits) {
                if (j > a[i]) {
                    ans++;
                } else if (j == a[i]) {
                    if (nxt[i + 1] == -1 || a[nxt[i + 1]] == 0) {
                        ans++;
                    }
                }
            }
        }
        if (a[i] == 0) {
            break;
        }
    }
    return ans;
}

struct Number {
    ll len, pos, digit;
};

struct GG {
    ll len, pos, digit, nxt;

    explicit GG(const vector<ll> &a) {
        len = static_cast<ll>(a.size());
        pos = len;
        for (ll i = 0; i < len; i++) {
            if (a[i] != 1) {
                pos = i;
                break;
            }
        }
        if (pos != len) {
            digit = a[pos];
            nxt = -1;
            for (ll i = pos + 1; i < len; i++) {
                if (a[i] != 1) {
                    nxt = a[i];
                    break;
                }
            }
        }
    }
};

ll cmp(const GG &a, const Number &b) {
    if (a.len < b.len) {
        return -1;
    }
    if (a.len > b.len) {
        return 1;
    }
    if (a.pos == b.pos) {
        if (a.digit < b.digit) {
            return -1;
        }
        if (a.digit > b.digit) {
            return 1;
        }
        if (a.nxt == -1) {
            return 0;
        }
        if (a.nxt == 0) {
            return -1;
        } else {
            return 1;
        }
    }
    if (a.pos < b.pos) {
        if (a.digit == 0) {
            return -1;
        } else {
            return 1;
        }
    } else {
        return -1;
    }
}

int main() {
#ifdef DEBUG_Q
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    string l, r;
    cin >> l >> r;
    ll n = static_cast<ll>(l.size()), m = static_cast<ll>(r.size());
    ll ans = 0;
    for (ll i = n + 1; i < m; i++) {
        ans += 4 * i;
    }
    vector<ll> a(n), b(m);
    for (ll i = 0; i < n; i++) {
        a[i] = l[i] - '0';
    }
    for (ll i = 0; i < m; i++) {
        b[i] = r[i] - '0';
    }
    GG l1(a), l2(b);
    if (n == m) {
        for (ll i = 0; i < n; i++) {
            for (auto j: digits) {
                Number x = {n, i, j};
                if (cmp(l1, x) <= 0 && cmp(l2, x) >= 0) {
                    ans++;
                }
            }
        }
    } else {
        for (ll i = 0; i < n; i++) {
            for (auto j: digits) {
                Number x = {n, i, j};
                if (cmp(l1, x) <= 0 && cmp(l2, x) >= 0) {
                    ans++;
                }
            }
        }
        for (ll i = 0; i < m; i++) {
            for (auto j: digits) {
                Number x = {m, i, j};
                if (cmp(l1, x) <= 0 && cmp(l2, x) >= 0) {
                    ans++;
                }
            }
        }
    }
    cout << ans;
}
