#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

struct STMax {
    vector<vector<ll> > mx;
    vector<ll> lg;

    STMax(vector<ll> &a) {
        ll n = static_cast<ll>(a.size());
        ll k = 0;
        while ((1 << k) <= n) {
            k++;
        }
        mx.assign(k, vector<ll>(n));
        for (ll i = 0; i < n; i++) {
            mx[0][i] = a[i];
        }
        for (ll i = 1; i < k; i++) {
            for (ll j = 0; j + (1 << i) <= n; j++) {
                mx[i][j] = max(mx[i - 1][j], mx[i - 1][j + (1 << (i - 1))]);
            }
        }
        lg.assign(n + 1, 0);
        for (ll i = 2; i <= n; i++) {
            lg[i] = lg[i / 2] + 1;
        }
    }

    ll get(ll l, ll r) {
        ll x = lg[r - l];
        return max(mx[x][l], mx[x][r - (1 << x)]);
    }
};

struct STMin {
    vector<vector<ll> > mx;
    vector<ll> lg;

    STMin(vector<ll> &a) {
        ll n = static_cast<ll>(a.size());
        ll k = 0;
        while ((1 << k) <= n) {
            k++;
        }
        mx.assign(k, vector<ll>(n));
        for (ll i = 0; i < n; i++) {
            mx[0][i] = a[i];
        }
        for (ll i = 1; i < k; i++) {
            for (ll j = 0; j + (1 << i) <= n; j++) {
                mx[i][j] = min(mx[i - 1][j], mx[i - 1][j + (1 << (i - 1))]);
            }
        }
        lg.assign(n + 1, 0);
        for (ll i = 2; i <= n; i++) {
            lg[i] = lg[i / 2] + 1;
        }
    }

    ll get(ll l, ll r) {
        ll x = lg[r - l];
        return min(mx[x][l], mx[x][r - (1 << x)]);
    }
};

ll solve(ll n, ll k, vector<ll> &a) {
    vector<ll> p(n + 1);
    for (ll i = 1; i <= n; i++) {
        p[i] = p[i - 1] + a[i - 1];
    }
    STMin st(a);
    STMax stp(p);
    ll ans = 0;
    for (ll l = 1; l < n; l++) {
        ll res1 = -st.get(0, l) + stp.get(l + 1, min(n + 1, n - k + l + 2)) - p[l];
        ans = max(ans, res1);
    }
    return ans;
}

int main() {
#ifdef DEBUG_Q
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ll n, k;
    cin >> n >> k;
    vector<ll> a(n);
    for (ll i = 0; i < n; i++) {
        cin >> a[i];
    }
    ll res1 = solve(n, k, a);
    reverse(a.begin(), a.end());
    ll res2 = solve(n, k, a);
    cout << max(res1, res2);
}
